Inspect a Library revision
curl --request GET \
--url https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"card": {
"created_at": 123,
"description": "<string>",
"etag": "<string>",
"head_revision_id": "<string>",
"id": "<string>",
"name": "<string>",
"required_credentials_reasons": "<unknown>",
"requirements": {},
"visibility": "<string>"
},
"etag": "<string>",
"head": {
"canonical_digest": "<string>",
"created_at": 123,
"definition": {
"config": {
"name": "<string>",
"x-agentsfleet": {
"budget": {
"daily_nanos": "<string>",
"monthly_nanos": "<string>"
},
"tools": [
"<string>"
],
"context": {
"context_cap_tokens": 1,
"memory_checkpoint_every": 1,
"stage_chunk_threshold": 0.5,
"tool_window": 1
},
"credentials": [
"<string>"
],
"gates": {
"anomaly_rules": [
{
"pattern": "same_action",
"threshold_count": 5000,
"threshold_window_s": 43200
}
],
"rules": [
{
"action": "<string>",
"tool": "<string>",
"behavior": "approve",
"blast_radius": "<string>",
"condition": "<string>",
"gate_kind": "<string>"
}
],
"timeout_ms": 123
},
"model": "<string>",
"network": {
"allow": [
"<string>"
],
"read_only": true,
"read_post_paths": [
"<string>"
]
},
"repositories": [
"<string>"
],
"repository_access": "read",
"repository_base": "<string>",
"triggers": [
{
"source": "<string>",
"type": "webhook",
"credential_name": "<string>",
"events": [
"<string>"
],
"repositories": [
"<string>"
],
"signature": {
"secret_ref": "<string>"
}
}
]
}
},
"description": "<string>",
"instructions_md": "<string>",
"schema_version": 1
},
"id": "<string>",
"library_id": "<string>",
"policy_semantics": "<string>",
"requirements": {},
"revision": "<string>"
},
"review": {}
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}Fleet library
Inspect a Library revision
GET
/
v1
/
workspaces
/
{workspace_id}
/
fleet-libraries
/
{library_id}
Inspect a Library revision
curl --request GET \
--url https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleet-libraries/{library_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"card": {
"created_at": 123,
"description": "<string>",
"etag": "<string>",
"head_revision_id": "<string>",
"id": "<string>",
"name": "<string>",
"required_credentials_reasons": "<unknown>",
"requirements": {},
"visibility": "<string>"
},
"etag": "<string>",
"head": {
"canonical_digest": "<string>",
"created_at": 123,
"definition": {
"config": {
"name": "<string>",
"x-agentsfleet": {
"budget": {
"daily_nanos": "<string>",
"monthly_nanos": "<string>"
},
"tools": [
"<string>"
],
"context": {
"context_cap_tokens": 1,
"memory_checkpoint_every": 1,
"stage_chunk_threshold": 0.5,
"tool_window": 1
},
"credentials": [
"<string>"
],
"gates": {
"anomaly_rules": [
{
"pattern": "same_action",
"threshold_count": 5000,
"threshold_window_s": 43200
}
],
"rules": [
{
"action": "<string>",
"tool": "<string>",
"behavior": "approve",
"blast_radius": "<string>",
"condition": "<string>",
"gate_kind": "<string>"
}
],
"timeout_ms": 123
},
"model": "<string>",
"network": {
"allow": [
"<string>"
],
"read_only": true,
"read_post_paths": [
"<string>"
]
},
"repositories": [
"<string>"
],
"repository_access": "read",
"repository_base": "<string>",
"triggers": [
{
"source": "<string>",
"type": "webhook",
"credential_name": "<string>",
"events": [
"<string>"
],
"repositories": [
"<string>"
],
"signature": {
"secret_ref": "<string>"
}
}
]
}
},
"description": "<string>",
"instructions_md": "<string>",
"schema_version": 1
},
"id": "<string>",
"library_id": "<string>",
"policy_semantics": "<string>",
"requirements": {},
"revision": "<string>"
},
"review": {}
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": 123,
"resolved_by": "<string>",
"user_message": "<string>"
}Authorizations
Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth
Path Parameters
UUIDv7 of the workspace.
Opaque Library identifier: a platform slug or an owned UUIDv7.
Query Parameters
Pinned revision UUIDv7; defaults to current head
Response
Native setup and current readiness
Selected reusable content and readiness for the current workspace.